﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace sz
{
    internal class Program
    {
        static int[][] ConvertToIntArray(string[] linearr) => linearr.Select(line => line.Split(' ').Select(int.Parse).ToArray()).ToArray();
        static void Main(string[] args)
        {
            string path = @"D:\input.txt";

            string[] lines = File.ReadAllLines(path);

            int saper = Array.IndexOf(lines, "-");

            string[] cost = lines.Take(saper).ToArray();
            int[][] costs = ConvertToIntArray(cost);
            string[] supplydem = lines.Skip(saper+1).ToArray();
            int[][] supdem = ConvertToIntArray(supplydem);
            int[] demand = new int[supdem.GetLength(0) + 2];
            int[] supply = new int[supdem.GetLength(0) + 2];

            for (int i = 0; i < costs.Count(); i++) { 
                supply = supdem[0];
                demand = supdem[1];
            }
            if (supply.Sum() == demand.Sum())
            {
                Console.WriteLine("Open");
                Severzapad obj = new Severzapad(supply, demand, costs);
                obj.Raspredel();
                Console.ReadLine();
            }
            else
                Console.WriteLine("Close");
        }
    }
}
