﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace sz
{
    internal class Severzapad
    {
        int[] supply;
        int[] demand;
        int[][] costs;

        public Severzapad(int[] supply, int[] demand, int[][] costs)
        {
            this.supply = supply;
            this.demand = demand;
            this.costs = costs;
        }

        public void Raspredel()
        {
            string path = @"D:\test.txt";
            FileStream file = new FileStream(path, FileMode.OpenOrCreate);
            StreamWriter sw = new StreamWriter(file);
            int[,] allocation = new int[supply.Length, demand.Length];

            int i = 0;
            int j = 0;

            while (i < supply.Length && j < demand.Length) { 
                int quanity = Math.Min(supply[i], demand[j]);
                allocation[i, j] = quanity;

                supply[i] -= allocation[i,j];
                demand[j] -= allocation[i,j];

                if (supply[i] == 0)
                    i++;
                if (demand[j] == 0)
                    j++;
            }
            for (int a = 0; a < supply.Length; a++)
            {
                for (int b = 0; b < demand.Length; b++)
                {
                    Console.Write(allocation[a,b] + " ");
                    sw.Write(allocation[a, b] + " ");
                }
                Console.WriteLine();
                sw.WriteLine();
            }
            TotalCost(allocation,costs);
            sw.Close();
            file.Close();
        }
        public int TotalCost(int[,] allocation, int[][] costs)
        {
            int totalCost = 0;

            for (int i = 0; i < allocation.GetLength(0); i++)
            {
                for(int j = 0; j < allocation.GetLength(1); j++)
                {
                    totalCost += allocation[i,j]* costs[i][j];
                }
            }
            Console.WriteLine(totalCost);
            return totalCost;
        }
    }
}
